{
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";

    utils.url = "github:gytis-ivaskevicius/flake-utils-plus";

    neovim-overlay = {
      url = "github:nix-community/neovim-nightly-overlay";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };

  outputs = inputs@{ self, nixpkgs, neovim-overlay, utils, ... }: utils.lib.systemFlake {
    inherit self inputs;

    sharedOverlays = [
      neovim-overlay.overlay
    ];

    channels.nixpkgs.input = nixpkgs;

    hostDefaults = {
      modules = [
        utils.nixosModules.saneFlakeDefaults
      ];
    };

    hosts = {
      petalius.modules = [ ./petalius.nix ];
      flammea.modules = [ ./flammea.nix ];
    };

  };
}
